Skip to main content
GET
Read a spending plan iteration

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

user_guid
string
required

The unique identifier for a user, beginning with the prefix USR-.

spending_plan_guid
string
required

The unique ID for the spending_plan.

iteration_number
integer
required

The current iteration number for the spending plan iteration.

Query Parameters

page
integer

Results are paginated. Specify current page.

records_per_page
integer

This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.

Response

200 - application/vnd.mx.api.v1+json

OK

created_at
string | null
Example:

"2016-10-13T18:08:00+00:00"

end_on
string | null
Example:

"2023-05-31"

guid
string | null
Example:

"SPI-848e6648-3fa3-4632-ac8f-e65f03167102"

iteration_number
integer | null
Example:

1

spending_plan_guid
string | null
Example:

"SPL-dbfe201d-c341-4bff-93c0-62a918d0b600"

start_on
string | null
Example:

"2023-05-01"

updated_at
string | null
Example:

"2016-10-13T18:09:00+00:00"

user_guid
string | null
Example:

"USR-72086f59-6684-4adf-8f29-c4d32db43cd7"